Page MenuHomePhabricator

Earlier autopatrolled revisions should go under "Automatic patrol"
Closed, DeclinedPublic

Description

Patrol log entries saying "automatically marked revision" before the introduction of the separation of logs into subtypes in T20954 should go under "Automatic patrol", not "Manual patrol".

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 28 2016, 8:56 PM
Cenarium triaged this task as Low priority.Nov 5 2016, 7:11 PM

This would require writing a maintenance script to change patrol log entries of patrol type to autopatrol type if they have "auto" in log details, then run it backward from 1 April 2016.

Perhelion added a subscriber: Perhelion.EditedNov 20 2016, 1:51 AM

...patrol type to autopatrol type if they have "auto" in log details, then run it ...

Maybe you can explain why you merged bug T149756? It seems at first sight no relation. There are "simply" "all" autopatrols displayed also under manual. So it seems partially the contrary of this bug.
PS: I see now from now until 1. April 2016 the log seems correct!? Anyway the patrol feature seems a primitive version of the review feature.

GeoffreyT2000 closed this task as Declined.May 10 2018, 9:49 PM

Now moot as per T184485.